internal::pick_max< Selector, T1, T2 > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::pick_max< Selector, T1, T2 >:

## Public Types

typedef pick_one<(Selector< T1 >::value > Selector< T2 >::value), T1, T2 >::type | type

## Detailed Description

### template<template< class > class Selector, typename T1, typename T2>
struct internal::pick_max< Selector, T1, T2 >

Definition at line 552 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## type

template<template< class > class Selector, typename T1 , typename T2 >

typedef pick_one< (Selector<T1>::value > Selector<T2>::value), T1, T2 >::type internal::pick_max< Selector, T1, T2 >::type

Definition at line 553 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.